%global pypi_name jaraco_text
%global pkg_name  jaraco-text

%bcond_with docs
%bcond_with check

Name:           python-%{pkg_name}
Version:        4.0.0
Release:        %mkrel 1
Summary:        Module for text manipulation
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/jaraco.text
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This package provides handy routines for dealing with text, such as wrapping,
substitution, trimming, stripping, prefix and suffix removal, line
continuation, indentation, comment processing, identifier processing, values
parsing, case insensitive comparison, and more.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
This package provides handy routines for dealing with text, such as wrapping,
substitution, trimming, stripping, prefix and suffix removal, line
continuation, indentation, comment processing, identifier processing, values
parsing, case insensitive comparison, and more.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs} %{?with_check:-x testing}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%if %{with check}
%check
%pytest
%endif

%install
%pyproject_install
%pyproject_save_files jaraco

%files -n python3-%{pkg_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif


%changelog
* Thu Dec 19 2024 papoteur <papoteur> 4.0.0-1.mga10
+ Revision: 2126511
- new version 4.0.0

* Sun Dec 10 2023 wally <wally> 3.12.0-1.mga10
+ Revision: 2016950
- new version 3.12.0
- use pyproject rpm macros

* Tue Mar 22 2022 guillomovitch <guillomovitch> 3.7.0-3.mga9
+ Revision: 1818296
- ship text file used by tests from other packages
- allow conditional tests

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 3.7.0-1.mga9
+ Revision: 1784147
- version 3.7.0
- rebuild for python-3.10

* Mon Mar 22 2021 guillomovitch <guillomovitch> 3.5.0-1.mga9
+ Revision: 1707941
- new version 3.5.0

* Sat Nov 21 2020 guillomovitch <guillomovitch> 3.2.0-1.mga8
+ Revision: 1648095
- imported package python-jaraco-text

